#!/usr/bin/perl

my $firstdone = 0;
my $date = `date +'%a, %d %b %Y %T %z'`;
open(DEBIANLOG, "debian/changelog");
my @deblog = <DEBIANLOG>;
close(DEBIANLOG);
open(DEBIANLOG, ">debian/changelog");

open(CHANGELOG, "ChangeLog");
while(<CHANGELOG>) {
	if(/(\d\d)-(\d\d)-(\d\d\d\d)/) {
		if($firstdone) {
			print DEBIANLOG "\n -- Erik Bourget <ebourg\@po-box.mcgill.ca>  $date\n";
			print DEBIANLOG @deblog;
			exit;
			}
		print DEBIANLOG "gtkmonop (0.2-pre$1$2$3) unstable; urgency=low\n\n";
		$firstdone = 1;
	} elsif(/\*/) {
		print DEBIANLOG;
	} 
}
close(CHANGELOG);
